package io.renren.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.app.entity.SmsCodeEntity;

import java.util.Map;

/**
 * 短信验证码
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-05-20 09:54:35
 */
public interface SmsCodeService extends IService<SmsCodeEntity> {
    /**
     * 获取短信验证码
     */
    String getCode(String uuid, String phone);

    /**
     * 验证码效验
     * @param uuid  uuid
     * @param code  验证码
     * @return  true：成功  false：失败
     */
    boolean validate(String uuid, String code);

    /**
     *  发送短信验证码
     * @param code
     * @param phone
     * @return
     * @throws Exception
     */
	String sendCode(String code, String phone) throws Exception;
}
